commit:     e53765767d97aae011e80851523dd56fcb5f22e2
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 27 01:24:35 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jan 27 01:47:30 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5376576

sys-apps/init-system-helpers: bump to 1.60

Closes: https://bugs.gentoo.org/740730
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/init-system-helpers/Manifest              |  1 +
 .../init-system-helpers-1.60.ebuild                | 32 ++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/sys-apps/init-system-helpers/Manifest 
b/sys-apps/init-system-helpers/Manifest
index f74e73aee06..3ea848de315 100644
--- a/sys-apps/init-system-helpers/Manifest
+++ b/sys-apps/init-system-helpers/Manifest
@@ -1 +1,2 @@
 DIST init-system-helpers_1.49.tar.xz 42660 BLAKE2B 
548711283b04e3df13e9287154e2648b99ac80c2cdc71a428b4496220cd7c319f8f7afccb1e611c07b9d801837ef8799a3295a0490aa62812d47b728ba5ddba9
 SHA512 
bd612207e51e18a44f9c90e1e5b069ab39e06c776b8a0d6c9ecb367890d4a44ff02b3028418ac10a688782745331f39bb9299ba836f333b712e6fdd7ddc8da16
+DIST init-system-helpers_1.60.tar.xz 40584 BLAKE2B 
ad21a65ef3c4bcec16b14fc4db890fb7f83df625d1038fe217c20e9391404914df189ae31506b9bbef0442cdd333f46bd9c4d9009b7d671d9ae2deb6b05eee8e
 SHA512 
3739613fa8afa1fa6032f47f8cec67c526171987a7d1eae31d479db9cc1e49ae3cd397a858130c17680d62becb9c6499bd1da1268e9ed25b044337ab69f0dd88

diff --git a/sys-apps/init-system-helpers/init-system-helpers-1.60.ebuild 
b/sys-apps/init-system-helpers/init-system-helpers-1.60.ebuild
new file mode 100644
index 00000000000..f42c39be744
--- /dev/null
+++ b/sys-apps/init-system-helpers/init-system-helpers-1.60.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Helper scripts useful for both OpenRC and systemd"
+HOMEPAGE="https://packages.debian.org/sid/init-system-helpers";
+# git repo: https://anonscm.debian.org/git/collab-maint/init-system-helpers.git
+SRC_URI="http://http.debian.net/debian/pool/main/i/${PN}/${PN}_${PV}.tar.xz";
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+BDEPEND="dev-python/docutils"
+RDEPEND="!<sys-apps/openrc-0.33"
+
+PATCHES=(
+       "${FILESDIR}/revert-openrc-management.patch"
+)
+
+src_install() {
+       # We only care about 'service' script/manpage:
+       exeinto /sbin/
+       doexe script/service
+
+       rst2man.py man8/service.rst > man8/service.8 || die "Failed to generate 
man page"
+
+       # FIXME: need to patch to remove *rc.d references, which we don't ship
+       # And should probably add a list of supported options (e.g., 
start/stop/etc.)
+       doman man8/service.8
+}

Reply via email to